API referenceNumbering series
Retrieve a numbering series
GET
apiKeyheader
AuthorizationBearer <token>API key: gb_test_… or gb_live_…
id*stringGetbeel-Company?stringAct on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.
Format
uuidOK
application/json- response
object*stringid*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidname*stringprefix*stringsuffix*stringyearly_reset*booleanNumbers start again from 1 every year
default_for_invoices*booleandefault_for_credit_notes*booleanarchived*booleannext_number*stringNext number in the key's mode for today
created_at*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timecurl -X GET 'https://www.getbeel.com/api/v1/numbering-series/string'Example Response
{ "object": "numbering_series", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "prefix": "FT-", "suffix": "/A", "yearly_reset": true, "default_for_invoices": true, "default_for_credit_notes": true, "archived": true, "next_number": "FT-13/A", "created_at": "2019-08-24T14:15:22Z"}Create a numbering series POST
A prefix and/or suffix ("FT-", "/A"), restarting every year unless yearly_reset is false. Live keys only (403 livemode_required).
Rename, set as default or archive a series PATCH
prefix, suffix and yearly_reset change only while no invoice uses the series (409 numbering_series_in_use). Live keys only.